000025263 - Cannot import token into BlackBerry devices with 4.3.1.27 firmware version

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000025263
Applies ToSoftware Token 2.1.1 for BlackBerry
SecurID token 3.0 for BlackBerry
Blackberry Device OS version 4.3 or Device OS 4.5 (The Software Token 3.0 for BlackBerry is not supported on these versions)
The devices with new 4.5 ( original 4.3.1.27) firmware version or 4.2.1.110 and 4.2.1.119
Model 8820, 8300
IssueCannot import .sdtid Token file into to BlackBerry devices with 4.3.1.27 firmware version
Software token cannot be imported on to devices with newer firmware. The token cannot be imported to the devices with OS version 4.3.0.97 later.
When try to import the token the device halts with a black screen and reboots itself.
This is a known issue and RIM Engineering is aware of it.  RIM BUGID:SDR169651 with severity 1 was created to resolve this issue. Please contact RIM support to obtain a version of the HandHeld OS without this issue. 
ResolutionWorkaround: downgrade Device OS to the latest 4.2 version. The token can be imported to model 8703e with OS 4.1.0.359.

http://na.blackberry.com/eng/support/downloads/download_sites.jsp 


This has been resolved in a limited number of the 4.5 versions of the OS, including the beta OS version 4.5.052 build. Download the device software update 4.5 build 052 from RIM web site. Also obtain the fix for BugID SDR193750 from RIM support and apply on BES servers.

According to RIM, this issue is addressed in RIM OS 4.5.0.52 (for GSM operators such as AT&T, T-Mobile) and 4.5.0.86 (for CDMA operators such as Verizon/Sprint), no other versions of the 4.5 OS are referenced.


Workaround: In a limited number of cases, the Java Pushtoken application has been able to push to a handheld with 4.5, and operate successfully. However,  this is still not a supported platform for the Software Token for BlackBerry.
Notes

This issue has been seen with all builds of OS 4.3, and most builds of 4.5.  It also exists in a small number of OS 4.2, such as 4.2.1.110 and 4.2.1.119 for the 8703.

The documentation for the Software Token for BlackBerry states it is supported on : BlackBerry device running Research in Motion (RIM) BlackBerry OS version  4.1, 4.2, or 4.5.   This is a documentation error, the correct platform set (listed on the RSA website) is RIM BlackBerry? Handheld Software 4.1 and 4.2.

The Software Token for BlackBerry 3.0 is currently not supported for use on Handheld OS version 4.6, but support is expected for a future version of Software Token  for BlackBerry 3.x on the v4.6 OS. 


Software token 3.0.1 for BlackBerry was released Nov 2008, with support for 4.6 and a larger number of 4.5 OS
Legacy Article IDa39372

Attachments

    Outcomes